expandMap {kohonen} | R Documentation

## Expand a self-organising map

### Description

Double the size of a map, imputing the codebookvectors of the new units by averiging their immediate neighbours.

### Usage

    expandMap(kohobj)

### Arguments

`kohobj` | Object of class `"kohonen"`)

### Value

A new kohonen object, with a double size.

### Author(s)

Ron Wehrens

### Examples

    data(yeast)
    yeast.supersom <- supersom(yeast, somgrid(4, 4, "hexagonal"),
                               whatmap = 3:6, maxNA.fraction = .5)
    yeast.supersom2 <- expandMap(yeast.supersom)
    yeast.supersom3 <- supersom(yeast, yeast.supersom2$grid,
                                whatmap = 3:6, maxNA.fraction = .5,
                                init = yeast.supersom2$codes[3:6])

[Package kohonen version 3.0.4 Index]